#include "SDL.h"
#include "darkbattle.h"

Uint8 	released_down;
Uint8 	released_up;
Uint8 	released_left;
Uint8 	released_right;
Uint8 	released_fire;
Uint32	pause;

Darkship darkship;

void wait_event() {
	SDL_Event event;
	while (SDL_PollEvent(&event)) {
		switch (event.type) {
			case SDL_KEYDOWN:
			if(event.key.keysym.sym == SDLK_DOWN) {
				darkship.V_dir = 1;
				released_down = 0;
			}
			if(event.key.keysym.sym == SDLK_UP) {
				darkship.V_dir = -1;
				released_up = 0;
			}
			if(event.key.keysym.sym == SDLK_LEFT) {
				darkship.H_dir = -1;
				released_left = 0;
			}
			if(event.key.keysym.sym == SDLK_RIGHT) {
				darkship.H_dir = 1;
				released_right = 0;
			}
			if(event.key.keysym.sym == SDLK_f) {
				released_fire = 0;
				do_shoot();
			}
			break;
			case SDL_KEYUP:
			if(event.key.keysym.sym == SDLK_DOWN) {
				if(released_up)
					darkship.V_dir = 0;
				else
					darkship.V_dir = -1;
				released_down = 1;
			}
			if(event.key.keysym.sym == SDLK_UP) {
				if(released_down)
					darkship.V_dir = 0;
				else
					darkship.V_dir = 1;
				released_up = 1;
			}
			if(event.key.keysym.sym == SDLK_LEFT) {
				if(released_right)
					darkship.H_dir = 0;
				else
					darkship.H_dir = 1;
				released_left = 1;
			}
			if(event.key.keysym.sym == SDLK_RIGHT) {
				if(released_left)
					darkship.H_dir = 0;
				else
					darkship.H_dir = -1;
				released_right = 1;
			}
			if(event.key.keysym.sym == SDLK_f) {
				released_fire = 1;
			}
			if(event.key.keysym.sym == SDLK_ESCAPE) {
				exit(0);
			}
			if(event.key.keysym.sym == SDLK_p) {
				pause = SDL_GetTicks();
				while(SDL_WaitEvent(&event)) {
					if(event.type == SDL_KEYUP) {
						pause = SDL_GetTicks() - pause;
						break;
					}
				}
			}
			break;
			case SDL_QUIT:
			unload_images();
			exit(0);
		}
	}
}
